unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils,
  System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls,
  Vcl.StdCtrls, math;

type
  TForm1 = class(TForm)
    Shape1: TShape;
    Panel1: TPanel;
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Timer1: TTimer;
    Label2: TLabel;
    Label3: TLabel;

    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Label3Click(Sender: TObject);

  private
    { Private declarations }
    x,y    : real;

    ap,bp  : real;
    A,B    : real;

    w      : real;

    TT,t,dt : real;

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  A   := 60;
  B   := 150;

  ap  := 270;
  bp  := 250;

  TT     := StrToFloat(Edit1.Text);
  t      := 0;
  w      := 2*PI/TT;
  dt     := Timer1.Interval/1000;

  label3.Caption := '>>';

  Timer1.Enabled := true;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  t := t + dt;
  x := ap + A*sin(w*t);
  y := bp - B*cos(w*t);

  Shape1.Left := ceil(x);
  Shape1.Top  := ceil(y);

end;

procedure TForm1.Label3Click(Sender: TObject);
begin
  if (label3.Caption = '>>')
    then begin
      label3.Caption := '||';
      Timer1.Enabled := false;
    end
    else begin
      label3.Caption := '>>';
      Timer1.Enabled := true;
    end;

end;


end.
